<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:12 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Libro</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Libro";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Libro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../models/Idioma.html" title="class in models"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../models/MetodoDePago.html" title="class in models"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?models/Libro.html" target="_top">Frames</a></li>
<li><a href="Libro.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">models</div>
<h2 title="Class Libro" class="title">Class Libro</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>models.Libro</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Libro</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#anio">anio</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#autores_objects">autores_objects</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#categorias_objects">categorias_objects</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#editorial">editorial</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#editorial_id">editorial_id</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#id">id</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#ids_autores">ids_autores</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#ids_categorias">ids_categorias</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#isbn">isbn</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static <a href="../dao/DBConnection.html" title="class in dao">DBConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#mysqlConnect">mysqlConnect</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#num_paginas">num_paginas</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#precio">precio</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#titulo">titulo</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../models/Libro.html#Libro--">Libro</a></span>()</code>
<div class="block">constructor de la clase, setea el id en -1</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../models/Libro.html" title="class in models">Libro</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#all--">all</a></span>()</code>
<div class="block">Obtener todos los libros desde la base de datos</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#destroy--">destroy</a></span>()</code>
<div class="block">Elimina de la base de datos el registro asociado a la instancia correspondiente por su id</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../models/Libro.html" title="class in models">Libro</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#find-int-">find</a></span>(int&nbsp;id)</code>
<div class="block">Obtener un libro desde la base de datos con su ID, ademas se obtienen las categorias y autores del mismo</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getAnio--">getAnio</a></span>()</code>
<div class="block">Obtiene el valor de anio</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getAutores_objects--">getAutores_objects</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getCategorias_objects--">getCategorias_objects</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getEditorial_id--">getEditorial_id</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getEditorial--">getEditorial</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getId--">getId</a></span>()</code>
<div class="block">Obtiene el valor de id</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getIds_autores--">getIds_autores</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getIds_categorias--">getIds_categorias</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getIsbn--">getIsbn</a></span>()</code>
<div class="block">Obtiene el valor de isbn</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getNum_paginas--">getNum_paginas</a></span>()</code>
<div class="block">Obtiene el valor de num_paginas</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getPrecio--">getPrecio</a></span>()</code>
<div class="block">Obtiene el valor de precio</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#getTitulo--">getTitulo</a></span>()</code>
<div class="block">Obtiene el valor de titulo</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#insert--">insert</a></span>()</code>
<div class="block">Metodo que inserta un nuevo autor en la base de datos, ademas de insertar sus categorias y autores
 luego de insertarlo se setea el id de la instancia actual con el id en base de datos</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#save--">save</a></span>()</code>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setAnio-int-">setAnio</a></span>(int&nbsp;anio)</code>
<div class="block">Setea el valor de anio</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setAutores_objects-java.util.ArrayList-">setAutores_objects</a></span>(java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt;&nbsp;autores_objects)</code>
<div class="block">Setea los objectos de autores_objects</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setCategorias_objects-java.util.ArrayList-">setCategorias_objects</a></span>(java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;&nbsp;categorias_objects)</code>
<div class="block">Setea los objectos de categorias_objects</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setEditorial_id-int-">setEditorial_id</a></span>(int&nbsp;editorial_id)</code>
<div class="block">Setea el valor de editorial_id</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setEditorial-controllers.EditorialController-">setEditorial</a></span>(<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a>&nbsp;editorial)</code>
<div class="block">Setea el objecto de editorial</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setId-int-">setId</a></span>(int&nbsp;id)</code>
<div class="block">Setea el valor de id</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setIds_autores-java.util.ArrayList-">setIds_autores</a></span>(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;ids_autores)</code>
<div class="block">Setea el arreglo de ids_autores</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setIds_categorias-java.util.ArrayList-">setIds_categorias</a></span>(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;ids_categorias)</code>
<div class="block">Setea el arreglo de ids_categorias</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setIsbn-java.lang.String-">setIsbn</a></span>(java.lang.String&nbsp;isbn)</code>
<div class="block">Setea el valor de isbn</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setNum_paginas-java.lang.Integer-">setNum_paginas</a></span>(java.lang.Integer&nbsp;num_paginas)</code>
<div class="block">Setea el valor de num_paginas</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setPrecio-float-">setPrecio</a></span>(float&nbsp;precio)</code>
<div class="block">Setea el valor de precio</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#setTitulo-java.lang.String-">setTitulo</a></span>(java.lang.String&nbsp;titulo)</code>
<div class="block">Setea el valor de titulo</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../models/Libro.html#update--">update</a></span>()</code>
<div class="block">La instancia al estar con datos de la base de datos, ejecutara la actualización sus valores dentro de la base de datos incluyendo autores y categorias</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>private&nbsp;int id</pre>
</li>
</ul>
<a name="titulo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>titulo</h4>
<pre>private&nbsp;java.lang.String titulo</pre>
</li>
</ul>
<a name="isbn">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isbn</h4>
<pre>private&nbsp;java.lang.String isbn</pre>
</li>
</ul>
<a name="num_paginas">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>num_paginas</h4>
<pre>private&nbsp;java.lang.Integer num_paginas</pre>
</li>
</ul>
<a name="precio">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>precio</h4>
<pre>private&nbsp;float precio</pre>
</li>
</ul>
<a name="anio">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>anio</h4>
<pre>private&nbsp;int anio</pre>
</li>
</ul>
<a name="editorial_id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editorial_id</h4>
<pre>private&nbsp;int editorial_id</pre>
</li>
</ul>
<a name="editorial">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editorial</h4>
<pre>private&nbsp;<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a> editorial</pre>
</li>
</ul>
<a name="ids_categorias">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ids_categorias</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer&gt; ids_categorias</pre>
</li>
</ul>
<a name="ids_autores">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ids_autores</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer&gt; ids_autores</pre>
</li>
</ul>
<a name="autores_objects">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>autores_objects</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt; autores_objects</pre>
</li>
</ul>
<a name="categorias_objects">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>categorias_objects</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt; categorias_objects</pre>
</li>
</ul>
<a name="mysqlConnect">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mysqlConnect</h4>
<pre>static&nbsp;<a href="../dao/DBConnection.html" title="class in dao">DBConnection</a> mysqlConnect</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Libro--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Libro</h4>
<pre>public&nbsp;Libro()</pre>
<div class="block">constructor de la clase, setea el id en -1</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<div class="block">Obtiene el valor de id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de id</dd>
</dl>
</li>
</ul>
<a name="setId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(int&nbsp;id)</pre>
<div class="block">Setea el valor de id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - el nuevo valor de id</dd>
</dl>
</li>
</ul>
<a name="getTitulo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitulo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTitulo()</pre>
<div class="block">Obtiene el valor de titulo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de titulo</dd>
</dl>
</li>
</ul>
<a name="setTitulo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitulo</h4>
<pre>public&nbsp;void&nbsp;setTitulo(java.lang.String&nbsp;titulo)</pre>
<div class="block">Setea el valor de titulo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>titulo</code> - el nuevo valor de titulo</dd>
</dl>
</li>
</ul>
<a name="getIsbn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsbn</h4>
<pre>public&nbsp;java.lang.String&nbsp;getIsbn()</pre>
<div class="block">Obtiene el valor de isbn</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de isbn</dd>
</dl>
</li>
</ul>
<a name="setIsbn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsbn</h4>
<pre>public&nbsp;void&nbsp;setIsbn(java.lang.String&nbsp;isbn)</pre>
<div class="block">Setea el valor de isbn</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - el nuevo valor de isbn</dd>
</dl>
</li>
</ul>
<a name="getNum_paginas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNum_paginas</h4>
<pre>public&nbsp;java.lang.Integer&nbsp;getNum_paginas()</pre>
<div class="block">Obtiene el valor de num_paginas</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de num_paginas</dd>
</dl>
</li>
</ul>
<a name="setNum_paginas-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNum_paginas</h4>
<pre>public&nbsp;void&nbsp;setNum_paginas(java.lang.Integer&nbsp;num_paginas)</pre>
<div class="block">Setea el valor de num_paginas</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num_paginas</code> - el nuevo valor de num_paginas</dd>
</dl>
</li>
</ul>
<a name="getPrecio--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrecio</h4>
<pre>public&nbsp;float&nbsp;getPrecio()</pre>
<div class="block">Obtiene el valor de precio</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de precio</dd>
</dl>
</li>
</ul>
<a name="setPrecio-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrecio</h4>
<pre>public&nbsp;void&nbsp;setPrecio(float&nbsp;precio)</pre>
<div class="block">Setea el valor de precio</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>precio</code> - el nuevo valor de precio</dd>
</dl>
</li>
</ul>
<a name="getAnio--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnio</h4>
<pre>public&nbsp;int&nbsp;getAnio()</pre>
<div class="block">Obtiene el valor de anio</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de anio</dd>
</dl>
</li>
</ul>
<a name="setAnio-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAnio</h4>
<pre>public&nbsp;void&nbsp;setAnio(int&nbsp;anio)</pre>
<div class="block">Setea el valor de anio</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>anio</code> - el nuevo valor de anio</dd>
</dl>
</li>
</ul>
<a name="getEditorial_id--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditorial_id</h4>
<pre>public&nbsp;int&nbsp;getEditorial_id()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setEditorial_id-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEditorial_id</h4>
<pre>public&nbsp;void&nbsp;setEditorial_id(int&nbsp;editorial_id)</pre>
<div class="block">Setea el valor de editorial_id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editorial_id</code> - el nuevo valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="getEditorial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditorial</h4>
<pre>public&nbsp;<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a>&nbsp;getEditorial()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setEditorial-controllers.EditorialController-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEditorial</h4>
<pre>public&nbsp;void&nbsp;setEditorial(<a href="../controllers/EditorialController.html" title="class in controllers">EditorialController</a>&nbsp;editorial)</pre>
<div class="block">Setea el objecto de editorial</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editorial</code> - el nuevo objecto de editorial</dd>
</dl>
</li>
</ul>
<a name="getIds_categorias--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIds_categorias</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;getIds_categorias()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setIds_categorias-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIds_categorias</h4>
<pre>public&nbsp;void&nbsp;setIds_categorias(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;ids_categorias)</pre>
<div class="block">Setea el arreglo de ids_categorias</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ids_categorias</code> - el nuevo arreglo de ids_categorias</dd>
</dl>
</li>
</ul>
<a name="getIds_autores--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIds_autores</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;getIds_autores()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setIds_autores-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIds_autores</h4>
<pre>public&nbsp;void&nbsp;setIds_autores(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;ids_autores)</pre>
<div class="block">Setea el arreglo de ids_autores</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ids_autores</code> - el nuevo arreglo de ids_autores</dd>
</dl>
</li>
</ul>
<a name="getAutores_objects--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAutores_objects</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt;&nbsp;getAutores_objects()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setAutores_objects-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutores_objects</h4>
<pre>public&nbsp;void&nbsp;setAutores_objects(java.util.ArrayList&lt;<a href="../controllers/AutorController.html" title="class in controllers">AutorController</a>&gt;&nbsp;autores_objects)</pre>
<div class="block">Setea los objectos de autores_objects</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>autores_objects</code> - Los nuevos objetos de autores_objects</dd>
</dl>
</li>
</ul>
<a name="getCategorias_objects--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategorias_objects</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;&nbsp;getCategorias_objects()</pre>
<div class="block">Obtiene el valor de editorial_id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>el valor de editorial_id</dd>
</dl>
</li>
</ul>
<a name="setCategorias_objects-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategorias_objects</h4>
<pre>public&nbsp;void&nbsp;setCategorias_objects(java.util.ArrayList&lt;<a href="../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;&nbsp;categorias_objects)</pre>
<div class="block">Setea los objectos de categorias_objects</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>categorias_objects</code> - Los nuevos objetos de categorias_objects</dd>
</dl>
</li>
</ul>
<a name="find-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>find</h4>
<pre>public static&nbsp;<a href="../models/Libro.html" title="class in models">Libro</a>&nbsp;find(int&nbsp;id)</pre>
<div class="block">Obtener un libro desde la base de datos con su ID, ademas se obtienen las categorias y autores del mismo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - del libro a buscar en la base de datos</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>una instancia del libro encontrado</dd>
</dl>
</li>
</ul>
<a name="all--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>all</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;<a href="../models/Libro.html" title="class in models">Libro</a>&gt;&nbsp;all()</pre>
<div class="block">Obtener todos los libros desde la base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un arreglo de instancias de la clase Libro</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;boolean&nbsp;save()</pre>
<div class="block">Ejecuta el metodo insert o update de la instancia en caso que corresponda, si es un registro nuevo se crea en el caso contrario
 se actualiza en la base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="insert--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>private&nbsp;boolean&nbsp;insert()</pre>
<div class="block">Metodo que inserta un nuevo autor en la base de datos, ademas de insertar sus categorias y autores
 luego de insertarlo se setea el id de la instancia actual con el id en base de datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="update--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>private&nbsp;boolean&nbsp;update()</pre>
<div class="block">La instancia al estar con datos de la base de datos, ejecutara la actualización sus valores dentro de la base de datos incluyendo autores y categorias</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si se guardo correcramente o falso si no se realizo</dd>
</dl>
</li>
</ul>
<a name="destroy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroy</h4>
<pre>public&nbsp;boolean&nbsp;destroy()</pre>
<div class="block">Elimina de la base de datos el registro asociado a la instancia correspondiente por su id</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>verdadero si es que se elimino o falso si no se hizo correctamente</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Libro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../models/Idioma.html" title="class in models"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../models/MetodoDePago.html" title="class in models"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?models/Libro.html" target="_top">Frames</a></li>
<li><a href="Libro.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
